#include "../AST.h"
#include "../ClassDecl.h"
#include "../MethodDecl.h"
#include "../utils.h"
#include "CtDescriptor.h"
#include "CtRegistry.h"
#include "../code.h"


CtDescriptor::CtDescriptor( ClassDecl &basis )
  : CtClass( mangle( basis ), basis )
{
}


void CtDescriptor::defineHeaderFields( ostream &out ) const
{
  out << "enum TypeCategory category;\n";
}


const string CtDescriptor::mangle( ClassDecl &basis )
{
  return MANGLE_CLASS_DTYP(+, MANGLE_TYPE_MARKER + basis.mangledFullName());
}


// Local Variables:
// c-file-style: "gnu"
// End:
