#ifndef _INCLUDE_TITANIUM_LOCAL_QUAL_H_
#define _INCLUDE_TITANIUM_LOCAL_QUAL_H_


#include "bane-solver.h"


class TypeNode;


class LocalSolver : public LocalBaneSolver {
public:
  LocalSolver();
  ~LocalSolver();

  static LocalSolver &singleton();

  void conservative( const TypeNode & );
  void identicalTo(  const TreeNode &, const TreeNode & );
  void mustBeGlobal( const TypeNode & );
  void subsumedBy(   const TypeNode &, const TypeNode & );

private:
  static LocalSolver *active;
};


inline LocalSolver &solver()
{
  return LocalSolver::singleton();
}


#endif // !_INCLUDE_TITANIUM_LOCAL_QUAL_H_
