#include "AST.h"
#include "context.h"
#include "decls.h"
#include "solver.h"


void CatchNode::inferLocal( const LocalContext & )
{
  solver().mustBeGlobal( *param()->dtype() );
}


void ReturnNode::inferLocal( const LocalContext &context )
{
  if (!expr()->absent())
    expr()->type()->localWeaklySubsumedBy( *context.method->returnType() );
}
