#ifndef _include_smp_wide_backend_h_
#define _include_smp_wide_backend_h_


#define BACKEND_SMP_WIDE
#define BACKEND_SOLARIS_THREADS
#define HAVE_MONITORS

#include "mem-smp.h"
#include "mem-wide.h"


#define DEREF_GLOBAL( val, ptr )        DEREF_LOCAL(val, (ptr).addr)

#define ASSIGN_GLOBAL( ptr, val )       ASSIGN_LOCAL( (ptr).addr, val )
#define WEAK_ASSIGN_GLOBAL( ptr, val )  WEAK_ASSIGN_LOCAL( (ptr).addr, val )


#define local_to_global_copy( local, global, count )  memcpy( TO_LOCAL( global ), local, sizeof(*local) * count )
#define global_to_local_copy( global, local, count )  memcpy( local, TO_LOCAL( global ), sizeof(*local) * count )


#endif /* !_include_smp_wide_backend_h_ */
