#include <stdlib.h>
#include <signal.h>

/* Must be before tc-gc.h which can include backend.h which #define's PROCS. */
int PROCS = 1;
char *RUNTIME_MODEL = "uniproc";

#include "main.h"
#include "ti-gc.h"

void region_init(void);

int main(int argc, char **argv)
{
    ti_mem_thr_init(&argv);
    region_init();
    
    #ifdef USE_RUNTIME_CRAY_T3E_C
      sigignore(SIGFPE); /* necessary on cray */
    #endif

    ti_main(argc, argv);
    exit(0);
}
