#include <math.h>
#include "config.h"


#define func1( fl, f )								\
jdouble m ## fl ## f ## DmT4Math4lang4java ( jdouble value )			\
{										\
    return f( value );								\
}

#define func2( fl, f )								\
jdouble m ## fl ## f ## DDmT4Math4lang4java ( jdouble x, jdouble y )	\
{										\
    return f( x, y );								\
}


func1( 4, acos )
func1( 4, asin )
func1( 4, atan )
func1( 4, ceil )
func1( 3, cos )
func1( 3, exp )
func1( 5, floor )
func1( 3, log )
func1( 4, rint )
func1( 3, sin )
func1( 4, sqrt )
func1( 3, tan )

#ifdef HAVE_DREM
#define IEEEremainder drem
#else
#ifdef HAVE_REMAINDER
#define IEEEremainder remainder
#else
#error Cannot locate IEEE remainder function.
#endif
#endif

func2( 13, IEEEremainder )
func2( 5, atan2 )
func2( 3, pow )
