package ti.domains;

//
// =============================
// Rect Domain List and Iterator
// =============================
//

public class tiRectDomainListIterator2 {
  public tiRectDomainListIterator2(tiRectDomainListItem2 item) {
    rectDomainListItem = item;
    initialRectDomainListItem = item;
  }
  public tiRectDomainListIterator2(tiRectDomainListIterator2 iter) {
    rectDomainListItem = iter.rectDomainListItem;
    initialRectDomainListItem = iter.initialRectDomainListItem;
  }
  public tiRectDomainListIterator2 advance() {
    if (rectDomainListItem == null) {
      rectDomainListItem = null;
    } else {
      rectDomainListItem = rectDomainListItem.next;
    }
    return this;
  }
  public tiRectDomain2 dereference() {
    if (rectDomainListItem == null) {
      System.out.println("Runtime: (Internal Error) dereferenced a null RectDomain iterator.");
      return new tiRectDomain2();
    } else {
      return rectDomainListItem.rectDomain;
    }
  }
  public void rewind() { rectDomainListItem = initialRectDomainListItem; }
  public boolean isEnd() { return (rectDomainListItem == null); }

  public tiRectDomainListItem2 get() { return rectDomainListItem; }

  private tiRectDomainListItem2 initialRectDomainListItem;
  private tiRectDomainListItem2 rectDomainListItem;
}
