#ifndef _INCLUDE_CODE_COMMONSUB_H_
#define _INCLUDE_CODE_COMMONSUB_H_

extern bool debug_commonsub;

#define COMPARE(foo, bar)					\
(								\
  (foo)->compare(bar) ?						\
  ((debug_commonsub ? (						\
		       cout << "\tapparently identical:\n",	\
		       (foo)->print(cout, 12),			\
		       cout << "\n\tand:\n",			\
		       (bar)->print(cout, 12),			\
		       cout << '\n',				\
		       0		      ) : 0),		\
   true) :							\
  ((debug_commonsub ? (						\
		       cout << "\tapparently different:\n",	\
		       (foo)->print(cout, 12),			\
		       cout << "\n\tand:\n",			\
		       (bar)->print(cout, 12),			\
		       cout << '\n',				\
		       0		      ) : 0),		\
   false)							\
)

bool compareLists(const llist<TreeNode *> *t, const llist<TreeNode *> *u);

#endif /* _INCLUDE_CODE_COMMONSUB_H_ */
