#include "AST.h"
#include "postpone.h"
#include "sstream.h"
#include <strstream>

bool debug_postpone = false;


void TreeNode::postpone( const char task[], const char reason[] ) const
{
  if (debug_postpone)
    {
      ostrstream text;
      text << "node " << this << ": postponed "
	   << task << " due to " << reason;
      
      message( text.str() );
      print( cerr, 2 );
      cerr << endl;
    }
}
