package ti.domains;

//
// =============================
// Rect Domain List and Iterator
// =============================
//

public class tiRectDomainListIterator1 {
  public tiRectDomainListIterator1(tiRectDomainListItem1 item) {
    rectDomainListItem = item;
    initialRectDomainListItem = item;
  }
  public tiRectDomainListIterator1(tiRectDomainListIterator1 iter) {
    rectDomainListItem = iter.rectDomainListItem;
    initialRectDomainListItem = iter.initialRectDomainListItem;
  }
  public tiRectDomainListIterator1 advance() {
    if (rectDomainListItem == null) {
      rectDomainListItem = null;
    } else {
      rectDomainListItem = rectDomainListItem.next;
    }
    return this;
  }
  public tiRectDomain1 dereference() {
    if (rectDomainListItem == null) {
      System.out.println("Runtime: (Internal Error) dereferenced a null RectDomain iterator.");
      return new tiRectDomain1();
    } else {
      return rectDomainListItem.rectDomain;
    }
  }
  public void rewind() { rectDomainListItem = initialRectDomainListItem; }
  public boolean isEnd() { return (rectDomainListItem == null); }

  public tiRectDomainListItem1 get() { return rectDomainListItem; }

  private tiRectDomainListItem1 initialRectDomainListItem;
  private tiRectDomainListItem1 rectDomainListItem;
}
